Bug 590588 - rpm -V fails on chroot dir, /tmp/chroot/var/lib/rpm: No such file or directory
Summary: rpm -V fails on chroot dir, /tmp/chroot/var/lib/rpm: No such file or directory
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 08:59 UTC by Petr Sklenar
Modified: 2011-03-15 13:54 UTC (History)
2 users (show)

Fixed In Version: rpm-4.8.0-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 19:49:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Petr Sklenar 2010-05-10 08:59:38 UTC
Description of problem:
rpm -V fails on chroot dir. It writes /tmp/chroot/var/lib/rpm: No such file or directory.

This was fixed in rhel54 in 508074.

Version-Release number of selected component (if applicable):
rpm-4.8.0-6.el6

How reproducible:
always

Steps to Reproduce:
1. yum install installroot=/tmp/chroot rpm -y
# it successfully installs 100megs of packages

2. rpm --root /tmp/chroot -V rpm
  
Actual results:
[root@auto-x86-64-001 ~]# rpm --root /tmp/chroot -Va
S.5....T.  c /etc/pki/nssdb/pkcs11.txt
/tmp/chroot/var/lib/rpm: No such file or directory
[root@auto-x86-64-001 ~]# rpm --root /tmp/chroot -V rpm
/tmp/chroot/var/lib/rpm: No such file or directory
[root@auto-x86-64-001 ~]# rpm -q rpm
rpm-4.8.0-6.el6.x86_64
[root@auto-x86-64-001 ~]# uname -a
Linux auto-x86-64-001.ss.eng.bos.redhat.com 2.6.32-23.el6.x86_64 #1 SMP Tue Apr 27 21:17:28 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@auto-x86-64-001 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux release 6.0 Beta (Santiago)

Expected results:
Verification of packages works well on chroot dir

Additional info:

Comment 5 Panu Matilainen 2010-05-18 08:36:52 UTC
Fixed in rpm-4.8.0-8.el6

Comment 7 Petr Beňas 2010-05-24 08:16:20 UTC
Verified on RHEL6.0-20100523.0 i386 and x86_64

:: [   PASS   ] :: Running 'rpm -Va --root /tmp/tmp.nqYVFzBuuD 2> log'
:: [   PASS   ] :: 100. attempt There is no error
:: [   LOG    ] :: Duration: 11m 23s
:: [   LOG    ] :: Assertions: 200 good, 0 bad

Comment 8 releng-rhel@redhat.com 2010-07-02 19:49:46 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.